Skip to main content
Base URL: https://vas.finpaytech.co/business-api Open an endpoint in the groups on the left to see the full URL, request and response payloads, and Try it. All routes except login, refresh, and logout need Authorization: Bearer <access-token>.

Authentication

  • POST https://vas.finpaytech.co/business-api/api/v1/auth/login
  • POST https://vas.finpaytech.co/business-api/api/v1/auth/refresh
  • POST https://vas.finpaytech.co/business-api/api/v1/auth/logout
  • GET https://vas.finpaytech.co/business-api/api/v1/auth/me

Virtual Accounts

  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-account
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-accounts
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-accounts/{virtualAccountId}
  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-accounts (Brand, Subscriber, or Currency. Invoice VAs use the Invoice VA routes)
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/virtual-account/balance-history

Customers

  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers/{customerId}
  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/customers/{customerId}/virtual-account

Invoice VA

One-time collection number per bill. Created with the expected payment (provisionInvoiceVa defaults to true). Not created via POST /virtual-accounts.
  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments/{expectedPaymentId}
  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/expected-payments/{expectedPaymentId}/cancel

Payer Instructions

  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/payment-options
  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/stk/initiate
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/stk/{initiationId}

Payments

  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/payments
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/payments/{paymentId}
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/payments/summary

Webhooks

  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/webhook-endpoints
  • GET https://vas.finpaytech.co/business-api/api/v1/merchants/me/webhook-endpoints
  • POST https://vas.finpaytech.co/business-api/api/v1/merchants/me/webhook-endpoints/{endpointId}/deactivate